
From: Mikael Pettersson <mikpe@csd.uu.se>

2.6.7-rc3-mm1 changed cpumask_t from ulong to a struct, causing
compile-time errors in arch/ppc/kernel/irq.c.

Proposed fix below. Tested on a G3.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/kernel/irq.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN arch/ppc/kernel/irq.c~ppc32-irqc-cpumask-fix arch/ppc/kernel/irq.c
--- 25/arch/ppc/kernel/irq.c~ppc32-irqc-cpumask-fix	Thu Jun 10 13:36:15 2004
+++ 25-akpm/arch/ppc/kernel/irq.c	Thu Jun 10 13:36:15 2004
@@ -628,7 +628,9 @@ static int prof_cpu_mask_read_proc (char
 static int prof_cpu_mask_write_proc (struct file *file, const char __user *buffer,
 					unsigned long count, void *data)
 {
-	cpumask_t *mask = (cpumask_t *)data, full_count = count, err;
+	int err;
+	int full_count = count;
+	cpumask_t *mask = (cpumask_t *)data;
 	cpumask_t new_value;
 
 	err = cpumask_parse(buffer, count, new_value);
_
